# IceGrid::CommunicatorDescriptor

## Overview

### class CommunicatorDescriptor

A communicator descriptor.

#### Derived Classes and Interfaces

ServerDescriptor
ServiceDescriptor

#### Used By

TemplateDescriptor::descriptor

## Data Member Index

adapters
  The object adapters.
propertySet
  The property set.
dbEnvs
  The database environments.
logs
  The path of each log file.
description
  A description of this descriptor.

## Data Members

### AdapterDescriptorSeq adapters;

The object adapters.

### PropertySetDescriptor propertySet;

The property set.

### DbEnvDescriptorSeq dbEnvs;

The database environments.

### ::Ice::StringSeq logs;

The path of each log file.

### string description;

A description of this descriptor.